EMF::EMRCREATEPALETTE(3)

NAME
EMF::EMRCREATEPALETTE - EMF Palette.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRCREATEPALETTE.

  Public Member Functions

EMRCREATEPALETTE (PALETTE *palette, HGDIOBJ handle)
EMRCREATEPALETTE (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF Palette.

Create a new palette.

Constructor & Destructor Documentation

  EMRCREATEPALETTE::EMRCREATEPALETTE (PALETTE * palette, HGDIOBJ handle)

Parameters:
    palette an instance of a PALETTE object.
    handle the PALETTE object's handle.

  EMF::EMRCREATEPALETTE::EMRCREATEPALETTE (DATASTREAM & ds)
Construct a CreatePalette record from the input stream.

Parameters:
    ds Metafile datastream.

Member Function Documentation

  void EMRCREATEPALETTE::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [virtual]
Execute this record in the context of the given device context.

Parameters:
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

References EMF::GLOBALOBJECTS::add(), EMF::METAFILEDEVICECONTEXT::appendHandle(), EMF::METAFILEDEVICECONTEXT::appendRecord(), EMF::METAFILEDEVICECONTEXT::bk_color, EMF::METAFILEDEVICECONTEXT::bk_mode, EMF::METAFILEDEVICECONTEXT::brush, EMF::METAFILEDEVICECONTEXT::clearHandle(), EMF::GRAPHICSOBJECT::contexts, EMF::METAFILEDEVICECONTEXT::deleteMetafile(), EMF::METAFILEDEVICECONTEXT::ds, EMF::METAFILEDEVICECONTEXT::emf_handles, EMF::GLOBALOBJECTS::find(), EMF::METAFILEDEVICECONTEXT::font, EMF::METAFILEDEVICECONTEXT::fp, EMF::OBJECT::getType(), EMF::OBJECT::handle, EMF::METAFILEDEVICECONTEXT::header, EMF::METAFILEDEVICECONTEXT::map_mode, EMF::METAFILEDEVICECONTEXT::mergePoint(), EMF::METAFILEDEVICECONTEXT::miter_limit, EMF::GRAPHICSOBJECT::newEMR(), EMF::GLOBALOBJECTS::newRecord(), EMF::METAFILEDEVICECONTEXT::nextHandle(), EMF::METAFILEDEVICECONTEXT::palette, EMF::METAFILEDEVICECONTEXT::pen, EMF::METAFILEDEVICECONTEXT::point, EMF::METAFILEDEVICECONTEXT::polyfill_mode, EMF::METAFILEDEVICECONTEXT::records, EMF::GLOBALOBJECTS::remove(), EMF::METAFILEDEVICECONTEXT::resolution, EMF::METARECORD::serialize(), EMF::METAFILEDEVICECONTEXT::text_alignment, EMF::METAFILEDEVICECONTEXT::text_color, EMF::ENHMETAHEADER::unserialize(), EMF::METAFILEDEVICECONTEXT::viewport_ext, EMF::METAFILEDEVICECONTEXT::viewport_org, EMF::METAFILEDEVICECONTEXT::window_ext, and EMF::METAFILEDEVICECONTEXT::window_org.

  bool EMF::EMRCREATEPALETTE::serialize (DATASTREAM ds) [inline], [virtual]

Parameters:
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRCREATEPALETTE::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.